//
//  UIDevice.HasNoPhysicalHomeButton.swift
//  VCore
//
//  Created by Vakhtang Kontridze on 01.05.22.
//

#if os(iOS)

import UIKit

// MARK: - Device Has No Physical Home Button
extension UIDevice {
    /// Indicates if device has no physical home button.
    ///
    /// Check is made against bottom safe are insets. If they are more than `0`, expression evaluates to`true`.
    ///
    ///     let hasNoPhysicalHomeButton: Bool = UIDevice.hasNoPhysicalHomeButton
    ///
    public static var hasNoPhysicalHomeButton: Bool {
        UIDevice.safeAreaInsetBottom > 0
    }
}

#endif
